# $Revision: 1.9 $, $Date: 2008/10/14 06:43:09 $

%define 	module	spark

Summary:	Scanning, Parsing, and Rewriting Kit
Summary(pl.UTF-8):	Narzędzia do skanowania, analizowania i przepisowania
Name:		python-%{module}
Version:	0.6.1
Release:	5
License:	GPL
Group:		Libraries/Python
Source0:	http://pages.cpsc.ucalgary.ca/~aycock/spark/%{module}-%{version}.tar.gz
# Source0-md5:	28c4c3b1031a6a4e4c4bd42726d22b65
URL:		http://pages.cpsc.ucalgary.ca/~aycock/spark/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SPARK stands for the Scanning, Parsing, and Rewriting Kit. It formerly
had no name, and was referred to as the "little language framework."

%description -l pl.UTF-8
SPARK (Scanning, Parsing And Rewriting Kit) to zestaw narzędzi do
skanowania, analizowania i przepisywania. Poprzednio nie miał nazwy, a
pisano o nim jako o "małym szkielecie języka" ("little language
framework").

%prep
%setup -q -n %{module}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}
install spark.py $RPM_BUILD_ROOT%{py_sitescriptdir}

# kill links to spark module
find examples -name spark.py

%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/* examples
%{py_sitescriptdir}/spark.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-spark.spec,v $
Revision 1.9  2008/10/14 06:43:09  arekm
- release 5

Revision 1.8  2008/10/03 18:01:26  arekm
- release 4

Revision 1.7  2008/07/27 23:00:38  arekm
- release 3

Revision 1.6  2007-02-12 22:09:12  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.4  2006/09/26 23:09:01  wrobell
- rel. 2

Revision 1.3  2006/08/20 14:12:45  qboosh
- pl

Revision 1.2  2006/07/31 17:45:50  wrobell
- md5 updated

Revision 1.1  2006/07/31 17:44:08  wrobell
- based on python-psycopg2.spec
